Groups
Execute a group proposal
[Admin Only] Executes a group proposal after the required approvals have been collected. Only admin API members can make requests to this endpoint.
POST
cURL
Documentation Index
Fetch the complete documentation index at: https://docs.mls.onchainden.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key authentication. Include your API key in the Authorization header.
Headers
Idempotency key for safely retrying mutation requests.
Path Parameters
Proposal ID
Body
application/json
Which resolution to execute
Available options:
approve, reject Response
Group proposal executed
- Groups Create
- Groups Update
- Groups Delete
Example:
{
"id": "prop_grp_create_123",
"resourceType": "groups",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Finance Team",
"memberIds": ["mem_1", "mem_2"]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "group",
"id": "grp_new1",
"uri": "/api/v1/groups/grp_new1"
}
]
}
}cURL